%define module	Object-Accessor
%define name	perl-%{module}
%define version 0.32
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Add a Makefile target to determine test coverage using Devel::Cover
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}/
Source:		http://www.cpan.org/modules/by-module/Object/%{module}-%{version}.tar.bz2
BuildArch:	noarch
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
Buildrequires:  perl(Params::Check)
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Object::Accessor provides an interface to create per object accessors (as
opposed to per Class accessors, as, for example, Class::Accessor provides).

You can choose to either subclass this module, and thus using its accessors on
your own module, or to store an Object::Accessor object inside your own object,
and access the accessors from there. See the SYNOPSIS for examples.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/Object
%{_mandir}/*/*




%changelog
* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 0.32-1mdv2008.0
+ Revision: 22626
- 0.32


* Tue Aug 29 2006 guillomovitch
+ 2006-08-29 10:39:53 (58595)
- new version

* Thu Aug 03 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-03 15:02:54 (43227)
- import perl-Object-Accessor-0.20-1mdv2007.0

* Fri Jun 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.20-1mdv2007.0
- New version 0.20

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.12-2mdk
- Buildrequires fix

* Wed Sep 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-1mdk
- New release 0.12

* Mon Apr 25 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-1mdk 
- first mandrivalinux release

